[SCM] jackd2/master: Helper script for generating a tarball

adiknoth-guest at users.alioth.debian.org adiknoth-guest at users.alioth.debian.org
Wed Apr 18 20:56:07 UTC 2012


The following commit has been merged in the master branch:
commit 1a6af1db778038bb8638b10c56fa97de146f5b31
Author: Adrian Knoth <adi at drcomp.erfurt.thur.de>
Date:   Wed Apr 18 21:47:56 2012 +0200

    Helper script for generating a tarball
    
    This script helps to package the upstream git repository. Don't forget
    to replace waf by waf-light afterwards.

diff --git a/debian/make_tarball.sh b/debian/make_tarball.sh
new file mode 100644
index 0000000..9173b97
--- /dev/null
+++ b/debian/make_tarball.sh
@@ -0,0 +1,31 @@
+#/bin/sh
+#
+# Little helper script to generate the jackd2 tarball from a git
+# repository.
+#
+# Example usage:
+#    $ git clone git://github.com/jackaudio/jack2.git
+#    $ cd jack2
+#    $ sh /path/to/make_tarball.sh /tmp/jackd2-x.y.z
+
+GIT_SHORT_VERSION=`git diff-tree HEAD | head -n 1 | cut -b -8`
+DATE_STRING=`date "+%Y%m%d"`
+TARGET_DIR="$1+${DATE_STRING}git${GIT_SHORT_VERSION}"
+
+if [ $# -ne 1 ]; then
+    echo "Usage: $0 <path-prefix>"
+    exit 1
+fi
+
+echo "Creating ${TARGET_DIR}"
+mkdir "${TARGET_DIR}" || exit 1
+
+echo "Exporting jack to ${TARGET_DIR}"
+git archive master | tar -C "${TARGET_DIR}" -xf -
+
+echo "Cleaning git files from export directory"
+find "${TARGET_DIR}" -name ".git*" -delete
+
+# make it DFSG clean
+echo "Making it DFSG clean"
+rm -rf "${TARGET_DIR}/windows" "${TARGET_DIR}/macosx"

-- 
jackd2 packaging



More information about the pkg-multimedia-commits mailing list